Bug 1021223 - transmission-daemon starts too early
transmission-daemon starts too early
Status: ON_QA
Product: Fedora EPEL
Classification: Fedora
Component: transmission (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 09:02 EDT by Stephen Harris
Modified: 2015-11-01 11:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Harris 2013-10-20 09:02:04 EDT
Description of problem:
/etc/init.d/transmission-daemon has a chkconfig start value of 16.  This means it starts before all filesystem (eg NFS) are fully mounted.  Users storing torrents on a network filesystem will find the torrent doesn't restart on reboot because the datafiles aren't available when the daemon starts

Version-Release number of selected component (if applicable):
transmission-2.13-1.el6

How reproducible:
Always on reboot with NFS mounted torrent store

Steps to Reproduce:
1. Configure an NFS disk (eg /torrents)
2. Add a torrent with with this as the target directory.  Let run to completion
3. Reboot

Actual results:
Torrent is now flagged as "missing files"; user needs to "validate torrent files" and then "start" to let it seed again.

Expected results:
Torrent should automatically seed

Additional info:
Change "start" to 98 so that transmission-daemon is restarted after all filesystems are mounted.
Comment 1 Fedora Update System 2015-10-30 10:58:17 EDT
transmission-2.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e93cc510e2
Comment 2 Fedora Update System 2015-11-01 11:47:28 EST
transmission-2.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update transmission'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e93cc510e2

Note You need to log in before you can comment on or make changes to this bug.